#!/usr/bin/env python3
# coding: utf-8
# -*- coding: utf-8 -*-

from logging.handlers import RotatingFileHandler

import logging


class Logger:
    def __new__(self, level, log_path):
        log = logging.getLogger()
        log.setLevel(level)
        formatter = logging.Formatter("%(asctime)s :: %(levelname)s :: %(message)s")

        file = RotatingFileHandler(log_path, "a", 1000000, 1)
        file.setLevel(level)
        file.setFormatter(formatter)
        log.addHandler(file)

        return log
